import * as types from './mutations-types.js'
import Vue from 'vue'
import storage from '../util/storage'
import i18n from '@/i18n'
export default {
	/**
	 * 公共显示加载方法
	 * @param state
	 */
	// [types.SHOW_LOADING]({state}, msg) {
	//   state.self.$vux.loading.show({text: msg})
	// },

	/**
	 * 公共隐藏加载方法
	 * @param state
	 */
	// [types.HIDE_LOADING]({state}) {
	//   state.self.$vux.loading.hide()
	// },

	/**
	 * 公共显示提示方法
	 * @param state
	 * @param msg
	 * @param title
	 * @param onShow
	 * @param onHide
	 */
	[types.SHOW_ALERT]({
		state
	}, {
		msg = '',
		title = i18n.t('提示'),
		onHide = null
	}) {
		uni.showModal({
			title: title,
			content: msg,
			showCancel: false,
			success(data) {
				if (typeof onHide === 'function') {
					onHide()
				}
			}
		})
	},

	/**
	 * 公共确认方法
	 * @param state
	 * @param msg
	 * @param title
	 * @param onShow
	 * @param onHide
	 */
	// [types.SHOW_CONFIRM]({
	// 	state
	// }, {
	// 	msg = '',
	// 	title = '提示',
	// 	onConfirm = null,
	// 	onCancel = null
	// }) {
	// 	state.self.$vux.confirm.show({
	// 		title: title,
	// 		content: msg,
	// 		onConfirm() {
	// 			if (typeof onConfirm === 'function') {
	// 				onConfirm()
	// 			}
	// 		},
	// 		onCancel() {
	// 			if (typeof onCancel === 'function') {
	// 				onCancel()
	// 			}
	// 		}
	// 	})
	// },

	/**
	 * 公共显示提示方法
	 * @param state
	 * @param msg
	 * @param time
	 * @param type
	 * @param mask
	 * @param position
	 */
	[types.SHOW_TOAST]({
		state
	}, {
		msg = '',
		time = 2000,
		mask = true,
		onHide = null
	}) {
		uni.showToast({
			title: msg,
			icon: 'none',
			duration: time,
			mask: mask,
			success(data) {
				if (typeof onHide === 'function') {
					onHide()
				}
			},
		})
	},

}
